%     FASTENER DOCTOR - программа для лечения и конвертации крепежа
%     Copyright (C) 2018  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function Text = PCL_MPC_Create_RBE2(Ind_Node, Dep_Node_list, Dep_DOFs)

% Счетчик db_Next_MPC_Number обновляется вне данной функции после ее вызова

global db_Next_MPC_Number;

Dep_Node_list = unique(Dep_Node_list);

Text = cell(1,1);

Dep_Node_string = ['Node' sprintf(' %i', sortrows(Dep_Node_list,1))];
Ind_Node_string = ['Node' sprintf(' %i', Ind_Node)];

Dep_DOFs_char = num2str(Dep_DOFs);

Dep_DOFs_string = [];

switch Dep_DOFs_char(1)

    case '1'
        Dep_DOFs_string = 'UX';

    case '2'
        Dep_DOFs_string = 'UY';

    case '3'
        Dep_DOFs_string = 'UZ';

    case '4'
        Dep_DOFs_string = 'RX';

    case '5'
        Dep_DOFs_string = 'RY';

    case '6'
        Dep_DOFs_string = 'RZ';

end

for i=2:numel(Dep_DOFs_char)
    
    switch Dep_DOFs_char(i)
        
        case '1'
            Dep_DOFs_string = [Dep_DOFs_string ',UX'];
            
        case '2'
            Dep_DOFs_string = [Dep_DOFs_string ',UY'];
            
        case '3'
            Dep_DOFs_string = [Dep_DOFs_string ',UZ'];
            
        case '4'
            Dep_DOFs_string = [Dep_DOFs_string ',RX'];
            
        case '5'
            Dep_DOFs_string = [Dep_DOFs_string ',RY'];
            
        case '6'
            Dep_DOFs_string = [Dep_DOFs_string ',RZ'];
        
    end
    
end

Text{1} = ['fem_create_mpc_nodal2( ' sprintf('%i', db_Next_MPC_Number) ', "RBE2", 0., 2, [TRUE, FALSE], ["0", "0"], ["' Dep_Node_string '", "' Ind_Node_string '"], ["' Dep_DOFs_string '", ""] )'];
